<xml></xml>

Collapse AllExpand All Code: All Code: Multiple Code: C# Code: Visual Basic Code: Visual C++ Members: Show All Members: Filtered Members: Filtered Members: Filtered

Berkeley DB .NET API Documentation
ErrorCodes Members
ErrorCodes Class Constructors Methods Fields See Also

The ErrorCodes type exposes the following members.

# Constructors

| Name | Description
--- | --- | ---
| ErrorCodes | Initializes a new instance of the ErrorCodes class

# Methods

| Name | Description
--- | --- | ---
| Equals | Determines whether the specified Object is equal to the current Object. (Inherited from Object.)
| GetHashCode | Serves as a hash function for a particular type. (Inherited from Object.)
| GetType | Gets the Type of the current instance. (Inherited from Object.)
| ToString | Returns a String that represents the current Object. (Inherited from Object.)

# Fields

| Name | Description
--- | --- | ---
| DB_BUFFER_SMALL | User memory too small for return.
| DB_DONOTINDEX | "Null" return from 2ndary callbk.
| DB_FOREIGN_CONFLICT | A foreign db constraint triggered.
| DB_KEYEMPTY | Key/data deleted or never created.
| DB_KEYEXIST | The key/data pair already exists.
| DB_LOCK_DEADLOCK | Deadlock.
| DB_LOCK_NOTGRANTED | Lock unavailable.
| DB_LOG_BUFFER_FULL | In-memory log buffer full.
| DB_NOSERVER | Server panic return.
| DB_NOSERVER_HOME | Bad home sent to server.
| DB_NOSERVER_ID | Bad ID sent to server.
| DB_NOTFOUND | Key/data pair not found (EOF).
| DB_OLD_VERSION | Out-of-date version.
| DB_PAGE_NOTFOUND | Requested page not found.
| DB_REP_DUPMASTER | There are two masters.
| DB_REP_HANDLE_DEAD | Rolled back a commit.
| DB_REP_HOLDELECTION | Time to hold an election.
| DB_REP_IGNORE | This msg should be ignored.
| DB_REP_ISPERM | Cached not written perm written.
| DB_REP_JOIN_FAILURE | Unable to join replication group.
| DB_REP_LEASE_EXPIRED | Master lease has expired.
| DB_REP_LOCKOUT | API/Replication lockout now.
| DB_REP_NEWSITE | New site entered system.
| DB_REP_NOTPERM | Permanent log record not written.
| DB_REP_UNAVAIL | Site cannot currently be reached.
| DB_RUNRECOVERY | Panic return.
| DB_SECONDARY_BAD | Secondary index corrupt.
| DB_VERIFY_BAD | Verify failed; bad format.
| DB_VERSION_MISMATCH | Environment version mismatch.

# See Also

ErrorCodes Class
BerkeleyDB Namespace